package de.frajul.endlessroll.sqlDatabase;

/**
 * Created by Julian on 30.05.2016.
 */
public class SQLTablePrimaryKeyColumn extends SQLTableColumn {

    private boolean autoincrement;

    public SQLTablePrimaryKeyColumn(boolean autoincrement) {
        super("_ID", ColumnType.INTEGER, ColumnExtra.PRIMARY_KEY);
        this.autoincrement = autoincrement;
    }

    @Override
    public String toString() {
        if (autoincrement)
            return super.toString() + " AUTOINCREMENT";
        return super.toString();
    }
}
